# Interface TableEnvironment

All Superinterfaces:
  `uk.ac.starlink.task.Environment`

All Known Implementing Classes:
  `LineTableEnvironment, MapEnvironment`

public interface TableEnvironment extends uk.ac.starlink.task.Environment
Environment subinterface which provides additional functionality required for table-aware tasks.

Since:
  15 Aug 2005
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.jdbc.JDBCAuthenticator`
`getJdbcAuthenticator()`
Returns a JDBC authenticator suitable for use in this environment.
`uk.ac.starlink.table.StarTableFactory`
`getTableFactory()`
Returns a table factory suitable for use in this environment.
`uk.ac.starlink.table.StarTableOutput`
`getTableOutput()`
Returns a table output marshaller suitable for use in this environment.
`boolean`
`isDebug()`
Indicates whether we are running in debug mode.
`boolean`
`isStrictVotable()`
Determines whether votables are to be parsed in strict mode.
`void`
`setDebug(boolean debug)`
Sets whether we are running in debug mode.
`void`
`setStrictVotable(boolean strict)`
Sets whether votables should be parsed in strict mode.

### Methods inherited from interface uk.ac.starlink.task.Environment

`acquireValue, clearValue, getErrorStream, getNames, getOutputStream`

## Method Details

### getTableFactory

uk.ac.starlink.table.StarTableFactory getTableFactory()
Returns a table factory suitable for use in this environment.

Returns:
  table factory

### getTableOutput

uk.ac.starlink.table.StarTableOutput getTableOutput()
Returns a table output marshaller suitable for use in this environment.

Returns:
  table output

### getJdbcAuthenticator

uk.ac.starlink.table.jdbc.JDBCAuthenticator getJdbcAuthenticator()
Returns a JDBC authenticator suitable for use in this environment.

Returns:
  JDBC authenticator

### isDebug

boolean isDebug()
Indicates whether we are running in debug mode.

Returns:
  true iff debugging output is required

### setDebug

void setDebug(boolean debug)
Sets whether we are running in debug mode.

Parameters:
  `debug` - set true if you want debugging messages

### isStrictVotable

boolean isStrictVotable()
Determines whether votables are to be parsed in strict mode.

Returns:
  true if VOTables will be interpreted strictly in accordance with the standard

### setStrictVotable

void setStrictVotable(boolean strict)
Sets whether votables should be parsed in strict mode.

Parameters:
  `strict` - true if VOTables should be interpreted strictly in accordance with the standard